if lca==nil then lca={} end
lca.sequence4ion={}
lca.sequence4ion.laser={}
lca.seq4comet={}

lca.sequence4ion.gfx_wpn=loadgfx("weapons/Satellite/Satellite.png")
setmidhandle(lca.sequence4ion.gfx_wpn)
lca.sequence4ion.gfx_laser=loadgfx("weapons/Satellite/IonBeam.bmp")
setmidhandle(lca.sequence4ion.gfx_laser)
lca.sequence4ion.sfx_attack=loadsfx("NONE")

lca.sequence4ion.id=addweapon("lca.sequence4ion","Order Satellite: Ion Cannon",lca.sequence4ion.gfx_wpn,100,1)
addweaponinfo("Brings down huge blue line of doom called Ion Satellite strike. Point mouse and have fun ;)")

function lca.sequence4ion.draw()
     if weapon_shots==0 then
          -- third one charged, ready to fire
          if lca.Chargin3.teams[getplayerteam(0)]~=nil then
               hudinfo('Ready to fire Ion Cannon! Point mouse at target')
               hudpositioning(pos_invisible)
          -- third one not charged yet
          elseif lca.Chargin3.teams[getplayerteam(0)]==nil then
               hudinfo('You can not use that! Charge all sequences first!')
          end
     end
end

function lca.sequence4ion.attack(attack)
     if weapon_shots==0 and weapon_position==1 then
          -- check if charge 3 is charged
          if lca.Chargin3.teams[getplayerteam(0)]~=nil then
               -- use weapon
               useweapon(0)
               weapon_shots=weapon_shots+1
               endturn()
               -- fire cannon
               for i=1,getmapheight()/5, 1 do
                    pid=createprojectile(lca.seq4comet.id)
                    projectiles[pid]={}
                    projectiles[pid].x=weapon_x+random(-70,70)
                    projectiles[pid].y=0
                    projectiles[pid].sx=1
                    projectiles[pid].sy=random(1500,2000)*0.1
                    projectiles[pid].timer=i*3
               end
               id=createprojectile(lca.sequence4ion.laser.id)
               projectiles[id]={}
               projectiles[id].timer=(getmapheight()*3.5)/5
               projectiles[id].x=weapon_x
               projectiles[id].y=weapon_y
               --Below goes damn reset. lol
               lca.Chargin1.teams[getplayerteam(0)]=nil
               lca.Chargin2.teams[getplayerteam(0)]=nil
               lca.Chargin3.teams[getplayerteam(0)]=nil
          end
     end
end


lca.sequence4ion.laser.id=addprojectile("lca.sequence4ion.laser")

function lca.sequence4ion.laser.draw(id)
	setblend(blend_light)
	setcolor(0,255,255)
	setalpha(projectiles[id].timer/30.0)
	setrotation(0)
	setscale(1,getmapwidth()/10.0)
	drawimage(lca.sequence4ion.gfx_laser,projectiles[id].x,getmapheight()/2.0)
end

function lca.sequence4ion.laser.update(id)
	projectiles[id].timer=projectiles[id].timer-1
	if projectiles[id].timer<=0 then
		freeprojectile(id)
	end
end

lca.seq4comet.id=addprojectile("lca.seq4comet")

function lca.seq4comet.draw(id)
	setbgcolor(0,0,0,weapon_timer,0.01)
	if projectiles[id].timer<=0 then
		setblend(blend_alpha)
		setalpha(1)
		setrotation(math.deg(math.atan2(projectiles[id].sx,-projectiles[id].sy)))
		drawimage(0,projectiles[id].x,projectiles[id].y)
	end
end

function lca.seq4comet.update(id)
	if projectiles[id].timer>0 then
		projectiles[id].timer=projectiles[id].timer-1
	else
		rot=math.deg(math.atan2(projectiles[id].sx,-projectiles[id].sy))
		msubt=math.ceil(math.max(math.abs(projectiles[id].sx),math.abs(projectiles[id].sy))/10)
		msubx=projectiles[id].sx/msubt
		msuby=projectiles[id].sy/msubt
		for i=1,msubt,1 do
			projectiles[id].x=projectiles[id].x+msubx
			projectiles[id].y=projectiles[id].y+msuby
			if collision(lca.sequence4ion.sfx_attack,projectiles[id].x,projectiles[id].y)==1 then
				arealdamage(projectiles[id].x,projectiles[id].y,60,45)
				terrainexplosion(projectiles[id].x,projectiles[id].y,30,1)
				particle(p_smoke,projectiles[id].x,projectiles[id].y)
				grey=math.random(0,40)
				if math.random(0,1)==1 then
					terrainalphaimage(gfx_crater50,projectiles[id].x,projectiles[id].y,math.random(6,9)*0.1,grey,grey,grey)
				else
					terrainalphaimage(gfx_crater75,projectiles[id].x,projectiles[id].y,math.random(6,9)*0.1,grey,grey,grey)
				end
				freeprojectile(id)
				break
			end
			if (projectiles[id].y)>getwatery()+5 then
				freeprojectile(id)
				break
			end
		end
	end
end